import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { DataProvider } from "../../providers/data-provider";
import { SaleOrder } from "../../models/sale.order";

@Component({
    selector: 'page-budget-details',
    templateUrl: 'budget-details.html',
    providers: [ SaleOrder ]
})
export class BudgetDetailsPage {

    constructor(
        public navCtrl: NavController,
        public saleOrder: SaleOrder,
        public db: DataProvider
    ) { }
    
    /**
     *
     */
    ionViewDidLoad() {
        console.log('Hello BudgetDetailsPage Page');
    }

    save(): void {
        this.db.save(DataProvider.DOCS.SALE_ORDER, this.saleOrder).then(saleOrder => { 
            console.log(saleOrder);
            
            this.navCtrl.pop(this);
        }).catch(e => console.log(e));
    }
}
